Diff for /gforth/INSTALL between versions 1.36 and 1.39

version 1.36, 2007/01/10 09:08:49 version 1.39, 2008/07/26 20:57:05
Line 1 Line 1
 Copyright (C) 2003 Free Software Foundation, Inc.  Copyright (C) 2003,2007 Free Software Foundation, Inc.
 This file is free documentation; the Free Software Foundation gives  This file is free documentation; the Free Software Foundation gives
 unlimited permission to copy, distribute and modify it.  unlimited permission to copy, distribute and modify it.
   
   
                 Prerequisites                  Prerequisites
   
 You need gcc version 2.0 or later to compile gforth.  Recommended:  You need gcc version 2.0 or later to compile gforth.
 gcc-2.95.* (other versions produce slower code).  
   
 To use the new C interface, you need to install the ffcall libraries  For the (documented) libcc.fs C interface you need a C compiler at
 before configuring Gforth.  You can find them on  run-time.
   
   For the (undocumented ) lib.fs C interface you need to install either
   the ffcall libraries or the libffi library.  Libffi comes with recent
   gccs, ffcall can be found on
   
    ftp://ftp.santafe.edu/pub/gnu/ffcall-1.8.tar.gz (USA)      ftp://ftp.santafe.edu/pub/gnu/ffcall-1.8.tar.gz (USA) 
    ftp://ftp.ilog.fr/pub/Users/haible/gnu/ffcall-1.8.tar.gz (Europe)      ftp://ftp.ilog.fr/pub/Users/haible/gnu/ffcall-1.8.tar.gz (Europe) 
   
   On many architectures (exceptions: 386, PPC, MIPS, Alpha) you need gdb
   at run-time in order for the disassembler to work.
   
   
                 Building and Installing                  Building and Installing
   
Line 27  After configuration, type Line 33  After configuration, type
   
 make  make
   
 Now you can check whether your shiny new Forth system works. Say  This includes a check whether your shiny new Forth system works. If
   you like to invoke the check alone, do
   
 make check  make check
   

Removed from v.1.36  
changed lines
  Added in v.1.39


FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>